#include <bits/stdc++.h>
using namespace std;
vector<int> a;
int main() {
	int n;
    cin >> n;
    for(int i=1; i<=n; i++){
        a.push_back(i);
    }
    for(int i=0; i*i<=n; i++){
        for(int j=0; j<n/i+1; j+=i){
            a.push_back(a[j]);
        }
    }
    cout<<a[a.size()-2]<<endl;
	return 0;
}
